Subject: Re: bug#36865: Guix gc breaks grub

From: "Xavier Montillet" <[email-masked]>
Date: Wed, 31 Jul 2019 21:05:06 +0000

Hi Rocardo,

I guix pull'ed and grub is no longer marked as dead. "guix gc --list-dead | grep 0fijjh7qw8ppsks0ba3q9m873ljhj797" now returns nothing, while "grep unicode /boot/grub/grub.cfg" till returns the same thing.

So I guess this means it's fixed?

I installed with the 1.0.1 installer I think, nothing out of the ordinary, except maybe everything being encrypted, including the /boot.

Xavier

On Wed, Jul 31, 2019, at 9:21 AM, Ricardo Wurmus wrote:
> 
> Hi Xavier,
> 
> > guix gc thinks that grub (and a lot of other stuff that it shouldn't
> > think is dead) is dead, as shown by the following commands (given by
> > nckx):
> >
> >
> > $ grep unicode /boot/grub/grub.cfg
> > search --file --set /gnu/store/0fijjh7qw8ppsks0ba3q9m873ljhj797-grub-2.04/share/grub/unicode.pf2
> > if loadfont /gnu/store/0fijjh7qw8ppsks0ba3q9m873ljhj797-grub-2.04/share/grub/unicode.pf2; then
> >
> > $ guix gc --list-dead | grep 0fijjh7qw8ppsks0ba3q9m873ljhj797
> > finding garbage collector roots...
> > determining live/dead paths...
> > /gnu/store/0fijjh7qw8ppsks0ba3q9m873ljhj797-grub-2.04
> >
> > I was also able to reproduce the bug by running guix gc and rebooting again.
> 
> Oh, that’s not good. Can you still reproduce this after running “guix
> system reconfigure …”? It should create a new system generation,
> register a GC root, and update GRUB.
> 
> It should not say that GRUB itself is dead and thus not free it up for
> garbage collection.
> 
> Could you perhaps share something about how you installed the system (if
> it’s anything out of the ordinary)?
> 
> --
> Ricardo
> 
>